
ttydev=$(tty)
ttyname=${ttydev#*/dev/}

ptstr="pts"
ttystr="tty"

create_pts_env_file()
{
	mkdir -p ${HOME}/.kysec/${ttyname}
	chmod 777 -R ${HOME}/.kysec/${ttyname}

	env | grep -w -E 'DISPLAY|HOME|XAUTHORITY' > ${HOME}/.kysec/${ttyname}/env
}

create_tty_env_file()
{
	user=$(env | grep -w USER)
	uname=${user#*USER=}

	mkdir -p ${HOME}/.kysec/${uname}
	chmod 777 -R ${HOME}/.kysec/${uname}
	env | grep -w -E 'DISPLAY|HOME|XAUTHORITY' > ${HOME}/.kysec/${uname}/env
}

case "$ttyname" in
	"$ptstr"*|"$ttystr"*)
		create_pts_env_file
		create_tty_env_file
		;;
	*)
		create_tty_env_file
		;;
esac
